Bug 1490172 - ath10k_pci firmware ver 10.2.4.70.63-2 crashing.
Summary: ath10k_pci firmware ver 10.2.4.70.63-2 crashing.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 03:00 UTC by Dave Hugh
Modified: 2017-11-01 16:38 UTC (History)
7 users (show)

Fixed In Version: linux-firmware-20170828-77.gitb78acc9.fc26 linux-firmware-20170828-77.gitb78acc9.fc27 linux-firmware-20170828-77.gitb78acc9.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 18:52:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Hugh 2017-09-11 03:00:59 UTC
Description of problem:


Version-Release number of selected component (if applicable): 
linux firmware 20170828-76.gitb78acc9.fc26 including ath10k 10.2.4.70.63-2


How reproducible:


Steps to Reproduce:
1. Update to latest linux-firmware distribution via DNF which installs versions noted above.
2. Observe crash, pci wireless card/hostapd not working
3. Downgrade to linux-firmware, 20170622-75.gita3a26af2.fc26 with ath10K firmware ver 10.2.4.70.54, crash does not occur, card/hostapd working fine


Actual results:
crash with messages below. hostapd not work
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: firmware crashed! (uuid ba972ba3-41e3-4272-81cb-c6908587d41d)
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: qca988x hw2.0 target 0x4100016c chip_id 0x043222ff sub 0000:0000
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: firmware ver 10.2.4.70.63-2 api 5 features no-p2p,raw-mode,mfp,allows-mesh-bcast crc32 4ff9e14d
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: board_file api 1 bmi_id N/A crc32 bebc7c08
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: htt-ver 0.0 wmi-op 5 htt-op 2 cal otp max-sta 128 raw 0 hwcrypto 1
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: firmware register dump:
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [00]: 0x4100016C 0x000015B3 0x009BFF84 0x00955B31
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [04]: 0x009BFF84 0x00060130 0x00000013 0x00000000
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [08]: 0x009C8EA4 0x00007170 0x00000001 0x00435300
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [12]: 0x00000009 0x00000000 0x00958360 0x0095836B
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [16]: 0x00958080 0x0094078E 0x00000000 0x00000000
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [20]: 0x409BFF84 0x0040AB44 0x004101E0 0x0000000C
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [24]: 0x809BFE1C 0x0040ABA4 0x00000006 0xC09BFF84
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [28]: 0x8098E907 0x0040ABD4 0x009C8E7C 0x0000016B
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [32]: 0x8098FD3B 0x0040ABF4 0x004209EC 0x00420B0C
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [36]: 0x8098A7DA 0x0040AC34 0x00420AA0 0x004062DC
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [40]: 0x80988785 0x0040AC94 0x00410760 0x00400000
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [44]: 0x8098AEC8 0x0040AD44 0x00410760 0x00000001
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [48]: 0x809B67C4 0x0040AD84 0x00410760 0x00411344
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [52]: 0x809B293C 0x0040ADA4 0x00400000 0x00416FA4
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [56]: 0x809C0C3D 0x0040ADE4 0x0040AE08 0x00412118
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: Copy Engine register dump:
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [00]: 0x00057400   0   0   3   3
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [01]: 0x00057800   3   3   8   9
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [02]: 0x00057c00   1   1   0   1
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [03]: 0x00058000   1   1   2   1
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [04]: 0x00058400   0   0  40   0
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [05]: 0x00058800   0   0   0   0
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [06]: 0x00058c00   0   0   0   0
Sep 10 20:37:46 x.localdomain kernel: ath10k_pci 0000:05:00.0: [07]: 0x00059000   0   0   0   0

Expected results:
No crash, hostapd works

Additional info:

Comment 1 Eduard Kohler 2017-09-18 09:44:47 UTC
Just in case it could help. Here is the output of lspci -vv for a concerned hardware.

05:00.0 Network controller: Qualcomm Atheros QCA986x/988x 802.11ac Wireless Network Adapter
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 31
        Region 0: Memory at f7600000 (64-bit, non-prefetchable) [size=2M]
        [virtual] Expansion ROM at f7800000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] MSI: Enable+ Count=1/8 Maskable+ 64bit-
                Address: fee0300c  Data: 41a2
                Masking: 00fe00fe  Pending: 00000000
        Capabilities: [70] Express (v2) Endpoint, MSI 00
                DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s unlimited, L1 <64us
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset- SlotPowerLimit 0.000W
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 512 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <4us, L1 <64us
                        ClockPM- Surprise- LLActRep- BwNot- ASPMOptComp-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
                DevCap2: Completion Timeout: Not Supported, TimeoutDis+, LTR-, OBFF Not Supported
                         AtomicOpsCap: 32bit- 64bit- 128bitCAS-
                DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-, LTR-, OBFF Disabled
                         AtomicOpsCtl: ReqEn-
                LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-
                         Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
                         Compliance De-emphasis: -6dB
                LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete-, EqualizationPhase1-
                         EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
        Capabilities: [100 v1] Advanced Error Reporting
                UESta:  DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
                UEMsk:  DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
                UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
                CESta:  RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
                CEMsk:  RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
                AERCap: First Error Pointer: 00, ECRCGenCap- ECRCGenEn- ECRCChkCap- ECRCChkEn-
                        MultHdrRecCap- MultHdrRecEn- TLPPfxPres- HdrLogCap-
                HeaderLog: 00000000 00000000 00000000 00000000
        Capabilities: [140 v1] Virtual Channel
                Caps:   LPEVC=0 RefClk=100ns PATEntryBits=1
                Arb:    Fixed- WRR32- WRR64- WRR128-
                Ctrl:   ArbSelect=Fixed
                Status: InProgress-
                VC0:    Caps:   PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
                        Arb:    Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
                        Ctrl:   Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
                        Status: NegoPending- InProgress-
        Capabilities: [160 v1] Device Serial Number 00-00-00-00-00-00-00-00
        Kernel driver in use: ath10k_pci
        Kernel modules: ath10k_pci

Comment 2 Fedora Update System 2017-09-20 13:25:50 UTC
linux-firmware-20170828-77.gitb78acc9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac7e52d53f

Comment 3 Fedora Update System 2017-09-20 13:26:21 UTC
linux-firmware-20170828-77.gitb78acc9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aac60d40ce

Comment 4 Fedora Update System 2017-09-20 13:26:43 UTC
linux-firmware-20170828-77.gitb78acc9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d2803ce4f5

Comment 5 Fedora Update System 2017-09-20 15:22:14 UTC
linux-firmware-20170828-77.gitb78acc9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aac60d40ce

Comment 6 Fedora Update System 2017-09-20 20:49:23 UTC
linux-firmware-20170828-77.gitb78acc9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d2803ce4f5

Comment 7 Fedora Update System 2017-09-20 23:51:10 UTC
linux-firmware-20170828-77.gitb78acc9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac7e52d53f

Comment 8 Fedora Update System 2017-09-22 18:52:20 UTC
linux-firmware-20170828-77.gitb78acc9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Dave Hugh 2017-09-23 00:47:15 UTC
(In reply to Fedora Update System from comment #8)
> linux-firmware-20170828-77.gitb78acc9.fc26 has been pushed to the Fedora 26
> stable repository. If problems still persist, please make note of it in this
> bug report.

Just pulled, worked for me.

Comment 10 Fedora Update System 2017-09-30 06:44:33 UTC
linux-firmware-20170828-77.gitb78acc9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-01 16:38:14 UTC
linux-firmware-20170828-77.gitb78acc9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.